<?php

declare(strict_types=1);

namespace App\Services\WorkingDays\PublicHolidays\Generator;

/**
 * Generates public holidays.
 */
interface PublicHolidaysGenerator
{
    /**
     * Generates public holidays for the given year.
     * @param int $year
     * @return \DateTimeImmutable[]
     */
    public function generatePublicHolidaysForYear(int $year): array;
}
