<?php

declare(strict_types=1);

namespace App\Providers;

use Carbon\Laravel\ServiceProvider;
use L5Swagger\L5SwaggerServiceProvider;

/**
 * @OA\Info(
 *     title="Working Days API",
 *     version="1.0.0",
 * )
 */
class Swagger extends ServiceProvider
{
    public function register()
    {
        $this->app->register(L5SwaggerServiceProvider::class);
    }
}
